Subject: State of IPSec NAT Traversal drafts?

From: Joshua Graessley <[email-masked]>
Date: Tue, 20 May 2003 11:04:53 -0700

What is the state of the IPSec NAT traversal drafts?

The following two drafts contain very useful modifications to IKE and a 
very useful method of encapsulating IPSec so it will pass through NATs. 
I haven't seen any discussion of these drafts in quite some time. Is 
there a reason? We need a solution now and don't have time to wait for 
IKEv2. These drafts seem to fill that solution except that vendor id 
specified in the ike draft is incomplete until the draft becomes an 
RFC. That makes creating interoperable implementations impossible.

http://www.ietf.org/internet-drafts/draft-ietf-ipsec-nat-t-ike-05.txt
http://www.ietf.org/internet-drafts/draft-ietf-ipsec-udp-encaps-06.txt

Thanks,
-josh